#!/bin/bash
#################################################################################
# weather-page.cgi
# RM 20070428
# Creates a webpage that displays the weather forecast for Mornington Penninsula,
# Victoria, Australia.
# Run this script from as a link on  website to create web page that displays
# forecast as a webpage on a browser.
# Stdout from echo goes directly to browser and is not printed to file.
#################################################################################
echo -e "Content-type: text/html"
echo -e ""
echo -e "<html>"
echo -e "<head>"
echo -e "<title>Updated Mornington Peninsula Weather Report</title>"
echo -e "<style type=\"text/css\">"
echo -e "  body { margin-left: 10%; margin-right: 10%; background: white;font-family: \"Times New Roman\" \"Garamond\"; }"
echo -e "  A { text-decoration:none }"
echo -e "  A:hover { color:gold }"
echo -e "  table {font-family: { \"Times New Roman\", \"Garamond\"; }"
echo -e "  h1,h2,h3,he,h4,h5,h6 { font-family: \"Times New Roman\", \"Garamond\"; }"
echo -e "  em { font-family: \"Times New Roman\", \"Garamond\";}"
echo -e "</style>"
echo -e "</head>"
echo -e "<body>"
echo -e ""
echo -e "<table width=\"100%\" border=\"0\">"
echo -e "  <tbody>"
echo -e "    <tr>"
echo -e "    <td width=\"15%\" rowspan="2" align="center" valign="middle"><h4><a href=../index.html name=Home id=Home>Home</a></h4></td>" 
echo -e "      <td width=\"70%\" colspan="3" rowspan="1" align="center" valign="bottom"><h2><strong>Weather Outlook for the Mornington Peninsula</strong></h2><strong></td>"
echo -e "      <td width=\"15%\" rowspan="2" align="center" valign="middle"><h4><a href=scripts.html name=Scripts id=Scripts>Back</a></h4></td>"
echo -e "    </tr>"
echo -e "    <tr>"
echo -e "      <td align="right" valign="top"><h2><strong>Victoria</strong></h2></td>"
echo -e "      <td  colspan="1" rowspan="1" align="center" valign="top"><IMG src="kangaroo.png" width="48" height="48" align="center" border="0"></td>"
echo -e "      <td ><h2><strong>Australia</strong></h2></td>"
echo -e "      </tr>"
echo -e "  </tbody>"
echo -e "</table>"
echo -e ""
echo -e "<hr>"
echo -e "<hr>"
echo -e ""
echo -e "<table width=\"100%\" border=\"0\">"
echo -e "  <tbody>"
echo -e "    <td width=\"24%\"></td>" #This will move the second column over and balance text to follow on webpage
echo -e "    <td width=\"76%\">"
echo -e "      <p><h4>"
echo -e "      $(lynx -dump www.bom.gov.au/cgi-bin/wrap_fwo.pl?IDV17102.txt | grep Issued)"
echo -e "      <br>"
echo -e "      <br>"
echo -e "      $(lynx -dump www.bom.gov.au/cgi-bin/wrap_fwo.pl?IDV17102.txt | sed -n '/Mornington/,/\[27\]/ p' | sed -e '/\[27\]/ d' | sed a\ '<br>' | more)"
echo -e ""
echo -e "      To check out rainfall and intensity around Melborne click <a href="http://mirror.bom.gov.au/products/IDR023.shtml" name="rainfall radar" id="rainfall">here</a>.<br>"
echo -e "      For more info go to: <a href="http://www.bom.gov.au" name="Australian B.O.M." id="Australian">http://www.bom.gov.au</a>"
echo -e "      </h4></p>"
echo -e "    </td>"
echo -e "  </tbody>"
echo -e "</table>"
echo -e ""
echo -e "<hr>"
echo -e ""
echo -e "<div align=\"center\"<h5>The Mornington Peninsula outlook is found on"
echo -e "<a href="http://www.bom.gov.au/cgi-bin/wrap_fwo.pl?IDV17102.txt" name="Central Districts Forecasts" id="Australian">this webpage</a>,"
echo -e "which includes all Victoria Central District forecasts in text form.<h/5></div>"
echo -e "</body>"
echo -e "</html>"

